# Get processing recommendations

> Returns all recommendations currently in processing status

Source: https://docs.levelfour.ai/api-reference/recommendations/get-recommendations-processing


## GET /api/v1/recommendations/processing

Returns all recommendations currently in processing status

### Authentication

Send `Authorization: Bearer <token>`.

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required): Data for processing recommendations list
  - `items` (array of object, required)
    - `recommendation_id` (string, required): Unique business identifier
    - `service` (string, required): Service name (e.g., EC2, EBS, RDS)
    - `environment` (string, nullable): Environment (e.g., Production, Staging)
    - `monthly_savings` (number, required): Monthly savings amount
    - `annual_savings` (number, required): Annual savings amount
    - `implementation_method` (one of `one-click`, `iac`, `one-click-plus-iac`, `manual`, nullable): Implementation method
    - `status` (one of `pending`, `processing`, `in_progress`, `optimized`, `rejected`, `unavailable`, `failed`, required): Recommendation status
    - `completed_at` (string, nullable): When the wizard was completed
  - `count` (integer, required): Number of processing recommendations

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
